Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QExpressFactory.QExpress

    java.lang.Object
      |
      +--com.jxml.quick.QBaseFilter
            |
            +--com.jxml.quick.QFilterFactory.QFilter
                  |
                  +--com.jxml.quick.QExpressFactory.QExpress

Direct Known Subclasses:
  QPrintWriterExpressFactory.QPrintWriterExpress

Enclosing class:
  QExpressFactory

public class QExpressFactory.QExpress
extends QFilterFactory.QFilter

Fields inherited from class com.jxml.quick.QFilterFactory.QFilter
`context`

Constructor Summary
`QExpressFactory.QExpress()`

Method Summary
`void` | `add(String t, boolean cdata)`
`void` | `endDocument()`
`void` | `endElement(String name, String text, boolean cdata)`
`void` | `newline()`
`void` | `startDocument()`
`void` | `startElement(String name)`

Methods inherited from class com.jxml.quick.QFilterFactory.QFilter
`init`

Methods inherited from class com.jxml.quick.QBaseFilter
`walk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QExpressFactory.QExpress

    public QExpressFactory.QExpress()
                             throws QE

Method Detail

### startDocument

    public void startDocument()
                       throws QPE

  Overrides:
    `startDocument` in class `QBaseFilter`

### endDocument

    public void endDocument()
                     throws QPE

  Overrides:
    `endDocument` in class `QBaseFilter`

### startElement

    public void startElement(String name)
                      throws QPE

  Overrides:
    `startElement` in class `QBaseFilter`

### newline

    public void newline()

### add

    public void add(String t,
                    boolean cdata)

### endElement

    public void endElement(String name,
                           String text,
                           boolean cdata)
                    throws QPE

  Overrides:
    `endElement` in class `QBaseFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD